package com.hai.enum_type;

import java.util.Objects;

public enum OrderproductTypeEnum {
    type1(1 , "星巴克" , "orderLogo/starbucks.png"),
    type2(2 , "肯德基" , "orderLogo/kfc.png"),
    type3(3 , "会员充值" , "orderLogo/member-top-up.png"),
    type4(4 , "积分充值" , "orderLogo/integral-top-up.png"),
    type5(5 , "购买卡券" , "orderLogo/coupon.png"),
    type6(6 , "加油服务" , "orderLogo/refuel-online.png"),
    type7(7 , "优惠券包" , "orderLogo/coupon-packs.png"),
    type8(8 , "汇联通充值" , "orderLogo/hlt.png"),
    type9(9 , "话费充值" , "orderLogo/calls.png"),
    ;

    private Integer type;
    private String name;
    private String logoImg;

    public static String getTypeByImgUrl(Integer type) {
        for (OrderproductTypeEnum ele : values()) {
            if(Objects.equals(type,ele.getType())) return ele.getLogoImg();
        }
        return null;
    }

    public static String getTypeByName(Integer type) {
        for (OrderproductTypeEnum ele : values()) {
            if(Objects.equals(type,ele.getType())) return ele.getName();
        }
        return null;
    }

    OrderproductTypeEnum(int type , String name , String logoImg) {
        this.type = type;
        this.name = name;
        this.logoImg = logoImg;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLogoImg() {
        return logoImg;
    }

    public void setLogoImg(String logoImg) {
        this.logoImg = logoImg;
    }
}
